diff --git a/gcc/dwarf2out.c b/gcc/dwarf2out.c
index 2b584a5..d11ae04 100644
--- a/gcc/dwarf2out.c
+++ b/gcc/dwarf2out.c
@@ -314,8 +314,8 @@ matches_main_base (const char *path)
       const char *base;
       int length = base_of_path (path, &base);
       last_path = path;
-      last_match = (length == main_input_baselength
-                    && memcmp (base, main_input_basename, length) == 0);
+      last_match = (length == GCC_OPTION (main_input_baselength)
+                    && memcmp (base, GCC_OPTION (main_input_basename), length) == 0);
     }
   return last_match;
 }
@@ -365,9 +365,9 @@ should_emit_struct_debug (tree type, enum debug_info_usage usage)
   bool generic = lang_hooks.types.generic_p (type);
 
   if (generic)
-    criterion = debug_struct_generic[usage];
+    criterion = GCC_OPTION (debug_struct_generic)[usage];
   else
-    criterion = debug_struct_ordinary[usage];
+    criterion = GCC_OPTION (debug_struct_ordinary)[usage];
 
   if (criterion == DINFO_STRUCT_FILE_NONE)
     return DUMP_GSTRUCT (type, usage, criterion, generic, false, false);
@@ -432,7 +432,7 @@ switch_to_eh_frame_section (bool back)
 						       /*global=*/1);
 	  lsda_encoding = ASM_PREFERRED_EH_DATA_FORMAT (/*code=*/0,
 							/*global=*/0);
-	  flags = ((! flag_pic
+	  flags = ((! GCC_OPTION (flag_pic)
 		    || ((fde_encoding & 0x70) != DW_EH_PE_absptr
 			&& (fde_encoding & 0x70) != DW_EH_PE_aligned
 			&& (per_encoding & 0x70) != DW_EH_PE_absptr
@@ -690,7 +690,7 @@ output_fde (dw_fde_ref fde, bool for_eh, bool second,
 static bool
 fde_needed_for_eh_p (dw_fde_ref fde)
 {
-  if (flag_asynchronous_unwind_tables)
+  if (GCC_OPTION (flag_asynchronous_unwind_tables))
     return true;
 
   if (TARGET_USES_WEAK_UNWIND_INFO && DECL_WEAK (fde->decl))
@@ -700,7 +700,7 @@ fde_needed_for_eh_p (dw_fde_ref fde)
     return true;
 
   /* If exceptions are enabled, we have collected nothrow info.  */
-  if (flag_exceptions && (fde->all_throwers_are_sibcalls || fde->nothrow))
+  if (GCC_OPTION (flag_exceptions) && (fde->all_throwers_are_sibcalls || fde->nothrow))
     return false;
 
   return true;
@@ -760,7 +760,7 @@ output_call_frame_info (int for_eh)
     }
 
   /* We're going to be generating comments, so turn on app.  */
-  if (flag_debug_asm)
+  if (GCC_OPTION (flag_debug_asm))
     app_enable ();
 
   /* Switch to the proper frame section, first time.  */
@@ -790,7 +790,7 @@ output_call_frame_info (int for_eh)
      due to overflowing the return register column.  */
   return_reg = DWARF2_FRAME_REG_OUT (DWARF_FRAME_RETURN_COLUMN, for_eh);
   dw_cie_version = 1;
-  if (return_reg >= 256 || dwarf_version > 2)
+  if (return_reg >= 256 || GCC_OPTION (dwarf_version) > 2)
     dw_cie_version = 3;
   dw2_asm_output_data (1, dw_cie_version, "CIE Version");
 
@@ -923,7 +923,7 @@ output_call_frame_info (int for_eh)
     dw2_asm_output_data (4, 0, "End of Table");
 
   /* Turn off app to make assembly quicker.  */
-  if (flag_debug_asm)
+  if (GCC_OPTION (flag_debug_asm))
     app_disable ();
 }
 
@@ -1019,7 +1019,7 @@ dwarf2out_begin_prologue (unsigned int line ATTRIBUTE_UNUSED,
   /* ??? current_function_func_begin_label is also used by except.c for
      call-site information.  We must emit this label if it might be used.  */
   if (!do_frame
-      && (!flag_exceptions
+      && (!GCC_OPTION (flag_exceptions)
 	  || targetm_common.except_unwind_info (&global_options) == UI_SJLJ))
     return;
 
@@ -1152,7 +1152,7 @@ dwarf2out_frame_finish (void)
     output_call_frame_info (0);
 
   /* Output another copy for the unwinder.  */
-  if ((flag_unwind_tables || flag_exceptions)
+  if ((GCC_OPTION (flag_unwind_tables) || GCC_OPTION (flag_exceptions))
       && targetm_common.except_unwind_info (&global_options) == UI_DWARF2)
     output_call_frame_info (1);
 }
@@ -1501,7 +1501,7 @@ loc_list_plus_const (dw_loc_list_ref list_head, HOST_WIDE_INT offset)
 }
 
 #define DWARF_REF_SIZE	\
-  (dwarf_version == 2 ? DWARF2_ADDR_SIZE : DWARF_OFFSET_SIZE)
+  (GCC_OPTION (dwarf_version) == 2 ? DWARF2_ADDR_SIZE : DWARF_OFFSET_SIZE)
 
 static unsigned long int get_base_type_offset (dw_die_ref);
 
@@ -2453,7 +2453,7 @@ const struct gcc_debug_hooks dwarf2_debug_hooks =
    remove duplicates.  But not all tools support .debug_types sections
    yet.  */
 
-#define use_debug_types (dwarf_version >= 4 && flag_debug_types_section)
+#define use_debug_types (GCC_OPTION (dwarf_version) >= 4 && GCC_OPTION (flag_debug_types_section))
 
 /* Various DIE's use offsets relative to the beginning of the
    .debug_info section to refer to each other.  */
@@ -2870,7 +2870,7 @@ static GTY (()) vec<macinfo_entry, va_gc> *macinfo_table;
 /* True if .debug_macinfo or .debug_macros section is going to be
    emitted.  */
 #define have_macinfo \
-  (debug_info_level >= DINFO_LEVEL_VERBOSE \
+  (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_VERBOSE \
    && !macinfo_table->is_empty ())
 
 /* Array of dies for which we should generate .debug_ranges info.  */
@@ -3252,10 +3252,10 @@ static inline enum dwarf_location_atom
 dw_addr_op (enum dtprel_bool dtprel)
 {
   if (dtprel == dtprel_true)
-    return (dwarf_split_debug_info ? DW_OP_GNU_const_index
+    return (GCC_OPTION (dwarf_split_debug_info) ? DW_OP_GNU_const_index
             : (DWARF2_ADDR_SIZE == 4 ? DW_OP_const4u : DW_OP_const8u));
   else
-    return dwarf_split_debug_info ? DW_OP_GNU_addr_index : DW_OP_addr;
+    return GCC_OPTION (dwarf_split_debug_info) ? DW_OP_GNU_addr_index : DW_OP_addr;
 }
 
 /* Return a pointer to a newly allocated address location description.  If
@@ -3269,7 +3269,7 @@ new_addr_loc_descr (rtx addr, enum dtprel_bool dtprel)
   ref->dw_loc_oprnd1.val_class = dw_val_class_addr;
   ref->dw_loc_oprnd1.v.val_addr = addr;
   ref->dtprel = dtprel;
-  if (dwarf_split_debug_info)
+  if (GCC_OPTION (dwarf_split_debug_info))
     ref->dw_loc_oprnd1.val_entry
         = add_addr_table_entry (addr,
                                 dtprel ? ate_kind_rtx_dtprel : ate_kind_rtx);
@@ -3307,7 +3307,7 @@ new_addr_loc_descr (rtx addr, enum dtprel_bool dtprel)
 #endif
 #ifndef DEBUG_MACINFO_SECTION
 #define DEBUG_MACINFO_SECTION                                           \
-  (!dwarf_split_debug_info                                              \
+  (!GCC_OPTION (dwarf_split_debug_info)                                              \
    ? (DEBUG_NORM_MACINFO_SECTION) : (DEBUG_DWO_MACINFO_SECTION))
 #endif
 #ifndef DEBUG_NORM_MACRO_SECTION
@@ -3318,7 +3318,7 @@ new_addr_loc_descr (rtx addr, enum dtprel_bool dtprel)
 #endif
 #ifndef DEBUG_MACRO_SECTION
 #define DEBUG_MACRO_SECTION                                             \
-  (!dwarf_split_debug_info                                              \
+  (!GCC_OPTION (dwarf_split_debug_info)                                              \
    ? (DEBUG_NORM_MACRO_SECTION) : (DEBUG_DWO_MACRO_SECTION))
 #endif
 #ifndef DEBUG_LINE_SECTION
@@ -3335,19 +3335,19 @@ new_addr_loc_descr (rtx addr, enum dtprel_bool dtprel)
 #endif
 #ifndef DEBUG_PUBNAMES_SECTION
 #define DEBUG_PUBNAMES_SECTION	\
-  ((debug_generate_pub_sections == 2) \
+  ((GCC_OPTION (debug_generate_pub_sections) == 2) \
    ? ".debug_gnu_pubnames" : ".debug_pubnames")
 #endif
 #ifndef DEBUG_PUBTYPES_SECTION
 #define DEBUG_PUBTYPES_SECTION	\
-  ((debug_generate_pub_sections == 2) \
+  ((GCC_OPTION (debug_generate_pub_sections) == 2) \
    ? ".debug_gnu_pubtypes" : ".debug_pubtypes")
 #endif
 #define DEBUG_NORM_STR_OFFSETS_SECTION ".debug_str_offsets"
 #define DEBUG_DWO_STR_OFFSETS_SECTION ".debug_str_offsets.dwo"
 #ifndef DEBUG_STR_OFFSETS_SECTION
 #define DEBUG_STR_OFFSETS_SECTION                                       \
-  (!dwarf_split_debug_info                                              \
+  (!GCC_OPTION (dwarf_split_debug_info)                                              \
    ? (DEBUG_NORM_STR_OFFSETS_SECTION) : (DEBUG_DWO_STR_OFFSETS_SECTION))
 #endif
 #ifndef DEBUG_STR_DWO_SECTION
@@ -3367,11 +3367,11 @@ new_addr_loc_descr (rtx addr, enum dtprel_bool dtprel)
 
 /* Section flags for .debug_macinfo/.debug_macro section.  */
 #define DEBUG_MACRO_SECTION_FLAGS                                       \
-  (dwarf_split_debug_info ? SECTION_DEBUG | SECTION_EXCLUDE : SECTION_DEBUG)
+  (GCC_OPTION (dwarf_split_debug_info) ? SECTION_DEBUG | SECTION_EXCLUDE : SECTION_DEBUG)
 
 /* Section flags for .debug_str section.  */
 #define DEBUG_STR_SECTION_FLAGS                                 \
-  (HAVE_GAS_SHF_MERGE && flag_merge_debug_strings               \
+  (HAVE_GAS_SHF_MERGE && GCC_OPTION (flag_merge_debug_strings)               \
    ? SECTION_DEBUG | SECTION_MERGE | SECTION_STRINGS | 1        \
    : SECTION_DEBUG)
 
@@ -3822,7 +3822,7 @@ add_AT_low_high_pc (dw_die_ref die, const char *lbl_low, const char *lbl_high,
   attr.dw_attr = DW_AT_low_pc;
   attr.dw_attr_val.val_class = dw_val_class_lbl_id;
   attr.dw_attr_val.v.val_lbl_id = lbl_id;
-  if (dwarf_split_debug_info && !force_direct)
+  if (GCC_OPTION (dwarf_split_debug_info) && !force_direct)
     attr.dw_attr_val.val_entry
         = add_addr_table_entry (lbl_id, ate_kind_label);
   else
@@ -3830,14 +3830,14 @@ add_AT_low_high_pc (dw_die_ref die, const char *lbl_low, const char *lbl_high,
   add_dwarf_attr (die, &attr);
 
   attr.dw_attr = DW_AT_high_pc;
-  if (dwarf_version < 4)
+  if (GCC_OPTION (dwarf_version) < 4)
     attr.dw_attr_val.val_class = dw_val_class_lbl_id;
   else
     attr.dw_attr_val.val_class = dw_val_class_high_pc;
   lbl_id = xstrdup (lbl_high);
   attr.dw_attr_val.v.val_lbl_id = lbl_id;
   if (attr.dw_attr_val.val_class == dw_val_class_lbl_id
-      && dwarf_split_debug_info && !force_direct)
+      && GCC_OPTION (dwarf_split_debug_info) && !force_direct)
     attr.dw_attr_val.val_entry
         = add_addr_table_entry (lbl_id, ate_kind_label);
   else
@@ -3936,7 +3936,7 @@ set_indirect_string (struct indirect_string_node *node)
   ++dw2_string_counter;
   node->label = xstrdup (label);
 
-  if (!dwarf_split_debug_info)
+  if (!GCC_OPTION (dwarf_split_debug_info))
     {
       node->form = DW_FORM_strp;
       node->index = NOT_INDEXED;
@@ -4194,7 +4194,7 @@ add_addr_table_entry (void *addr, enum ate_kind kind)
   addr_table_entry finder;
   void **slot;
 
-  gcc_assert (dwarf_split_debug_info);
+  gcc_assert (GCC_OPTION (dwarf_split_debug_info));
   if (! addr_index_table)
     addr_index_table = htab_create_ggc (10, addr_table_entry_do_hash,
                                         addr_table_entry_eq, NULL);
@@ -4224,7 +4224,7 @@ remove_addr_table_entry (addr_table_entry *entry)
 {
   addr_table_entry *node;
 
-  gcc_assert (dwarf_split_debug_info && addr_index_table);
+  gcc_assert (GCC_OPTION (dwarf_split_debug_info) && addr_index_table);
   node = (addr_table_entry *) htab_find (addr_index_table, entry);
   /* After an index is assigned, the table is frozen.  */
   gcc_assert (node->refcount > 0 && node->index == NO_INDEX_ASSIGNED);
@@ -4282,7 +4282,7 @@ add_AT_addr (dw_die_ref die, enum dwarf_attribute attr_kind, rtx addr,
   attr.dw_attr = attr_kind;
   attr.dw_attr_val.val_class = dw_val_class_addr;
   attr.dw_attr_val.v.val_addr = addr;
-  if (dwarf_split_debug_info && !force_direct)
+  if (GCC_OPTION (dwarf_split_debug_info) && !force_direct)
     attr.dw_attr_val.val_entry = add_addr_table_entry (addr, ate_kind_rtx);
   else
     attr.dw_attr_val.val_entry = NULL;
@@ -4350,7 +4350,7 @@ add_AT_lbl_id (dw_die_ref die, enum dwarf_attribute attr_kind,
   attr.dw_attr_val.val_class = dw_val_class_lbl_id;
   attr.dw_attr_val.val_entry = NULL;
   attr.dw_attr_val.v.val_lbl_id = xstrdup (lbl_id);
-  if (dwarf_split_debug_info)
+  if (GCC_OPTION (dwarf_split_debug_info))
     attr.dw_attr_val.val_entry
         = add_addr_table_entry (attr.dw_attr_val.v.val_lbl_id,
                                 ate_kind_label);
@@ -4423,7 +4423,7 @@ add_AT_range_list (dw_die_ref die, enum dwarf_attribute attr_kind,
   /* For the range_list attribute, use val_entry to store whether the
      offset should follow split-debug-info or normal semantics.  This
      value is read in output_range_list_offset.  */
-  if (dwarf_split_debug_info && !force_direct)
+  if (GCC_OPTION (dwarf_split_debug_info) && !force_direct)
     attr.dw_attr_val.val_entry = UNRELOCATED_OFFSET;
   else
     attr.dw_attr_val.val_entry = RELOCATED_OFFSET;
@@ -7583,7 +7583,7 @@ dwarf2_build_local_stub (external_ref **slot, dw_die_ref data)
 {
   struct external_ref *ref_p = *slot;
 
-  if (ref_p->stub == NULL && ref_p->n_refs > 1 && !dwarf_strict)
+  if (ref_p->stub == NULL && ref_p->n_refs > 1 && !GCC_OPTION (dwarf_strict))
     {
       /* We have multiple references to this type, so build a small stub.
 	 Both of these forms are a bit dodgy from the perspective of the
@@ -7743,7 +7743,7 @@ size_of_die (dw_die_ref die)
       switch (AT_class (a))
 	{
 	case dw_val_class_addr:
-          if (dwarf_split_debug_info && AT_index (a) != NOT_INDEXED)
+          if (GCC_OPTION (dwarf_split_debug_info) && AT_index (a) != NOT_INDEXED)
             {
               gcc_assert (AT_index (a) != NO_INDEX_ASSIGNED);
               size += size_of_uleb128 (AT_index (a));
@@ -7759,7 +7759,7 @@ size_of_die (dw_die_ref die)
 	    unsigned long lsize = size_of_locs (AT_loc (a));
 
 	    /* Block length.  */
-	    if (dwarf_version >= 4)
+	    if (GCC_OPTION (dwarf_version) >= 4)
 	      size += size_of_uleb128 (lsize);
 	    else
 	      size += constant_size (lsize);
@@ -7767,7 +7767,7 @@ size_of_die (dw_die_ref die)
 	  }
 	  break;
 	case dw_val_class_loc_list:
-          if (dwarf_split_debug_info && AT_index (a) != NOT_INDEXED)
+          if (GCC_OPTION (dwarf_split_debug_info) && AT_index (a) != NOT_INDEXED)
             {
               gcc_assert (AT_index (a) != NO_INDEX_ASSIGNED);
               size += size_of_uleb128 (AT_index (a));
@@ -7784,7 +7784,7 @@ size_of_die (dw_die_ref die)
 	case dw_val_class_unsigned_const:
 	  {
 	    int csize = constant_size (AT_unsigned (a));
-	    if (dwarf_version == 3
+	    if (GCC_OPTION (dwarf_version) == 3
 		&& a->dw_attr == DW_AT_data_member_location
 		&& csize >= 4)
 	      size += size_of_uleb128 (AT_unsigned (a));
@@ -7804,7 +7804,7 @@ size_of_die (dw_die_ref die)
 		    * a->dw_attr_val.v.val_vec.elt_size; /* block */
 	  break;
 	case dw_val_class_flag:
-	  if (dwarf_version >= 4)
+	  if (GCC_OPTION (dwarf_version) >= 4)
 	    /* Currently all add_AT_flag calls pass in 1 as last argument,
 	       so DW_FORM_flag_present can be used.  If that ever changes,
 	       we'll need to use DW_FORM_flag and have some optimization
@@ -7824,7 +7824,7 @@ size_of_die (dw_die_ref die)
 		 it's always sized as an offset.  */
 	      if (use_debug_types)
 		size += DWARF_TYPE_SIGNATURE_SIZE;
-	      else if (dwarf_version == 2)
+	      else if (GCC_OPTION (dwarf_version) == 2)
 		size += DWARF2_ADDR_SIZE;
 	      else
 		size += DWARF_OFFSET_SIZE;
@@ -7836,7 +7836,7 @@ size_of_die (dw_die_ref die)
 	  size += DWARF_OFFSET_SIZE;
 	  break;
 	case dw_val_class_lbl_id:
-          if (dwarf_split_debug_info && AT_index (a) != NOT_INDEXED)
+          if (GCC_OPTION (dwarf_split_debug_info) && AT_index (a) != NOT_INDEXED)
             {
               gcc_assert (AT_index (a) != NO_INDEX_ASSIGNED);
               size += size_of_uleb128 (AT_index (a));
@@ -7988,7 +7988,7 @@ include_pubname_in_output (vec<pubname_entry, va_gc> *table, pubname_entry *p)
   /* By limiting gnu pubnames to definitions only, gold can generate a
      gdb index without entries for declarations, which don't include
      enough information to be useful.  */
-  if (debug_generate_pub_sections == 2 && is_declaration_die (p->die))
+  if (GCC_OPTION (debug_generate_pub_sections) == 2 && is_declaration_die (p->die))
     return false;
 
   if (table == pubname_table)
@@ -8008,7 +8008,7 @@ include_pubname_in_output (vec<pubname_entry, va_gc> *table, pubname_entry *p)
   /* The pubtypes table shouldn't include types that have been
      pruned.  */
   return (p->die->die_offset != 0
-          || !flag_eliminate_unused_debug_types);
+          || !GCC_OPTION (flag_eliminate_unused_debug_types));
 }
 
 /* Return the size of the .debug_pubnames or .debug_pubtypes table
@@ -8020,7 +8020,7 @@ size_of_pubnames (vec<pubname_entry, va_gc> *names)
   unsigned long size;
   unsigned i;
   pubname_ref p;
-  int space_for_flags = (debug_generate_pub_sections == 2) ? 1 : 0;
+  int space_for_flags = (GCC_OPTION (debug_generate_pub_sections) == 2) ? 1 : 0;
 
   size = DWARF_PUBNAMES_HEADER_SIZE;
   FOR_EACH_VEC_ELT (*names, i, p)
@@ -8101,7 +8101,7 @@ value_format (dw_attr_ref a)
 	}
     case dw_val_class_range_list:
     case dw_val_class_loc_list:
-      if (dwarf_version >= 4)
+      if (GCC_OPTION (dwarf_version) >= 4)
 	return DW_FORM_sec_offset;
       /* FALLTHRU */
     case dw_val_class_vms_delta:
@@ -8116,7 +8116,7 @@ value_format (dw_attr_ref a)
 	  gcc_unreachable ();
 	}
     case dw_val_class_loc:
-      if (dwarf_version >= 4)
+      if (GCC_OPTION (dwarf_version) >= 4)
 	return DW_FORM_exprloc;
       switch (constant_size (size_of_locs (AT_loc (a))))
 	{
@@ -8143,11 +8143,11 @@ value_format (dw_attr_ref a)
 	     DW_FORM_data4 or DW_FORM_data8 is a loclistptr, not
 	     constant, so we need to use DW_FORM_udata if we need
 	     a large constant.  */
-	  if (dwarf_version == 3 && a->dw_attr == DW_AT_data_member_location)
+	  if (GCC_OPTION (dwarf_version) == 3 && a->dw_attr == DW_AT_data_member_location)
 	    return DW_FORM_udata;
 	  return DW_FORM_data4;
 	case 8:
-	  if (dwarf_version == 3 && a->dw_attr == DW_AT_data_member_location)
+	  if (GCC_OPTION (dwarf_version) == 3 && a->dw_attr == DW_AT_data_member_location)
 	    return DW_FORM_udata;
 	  return DW_FORM_data8;
 	default:
@@ -8180,7 +8180,7 @@ value_format (dw_attr_ref a)
 	  gcc_unreachable ();
 	}
     case dw_val_class_flag:
-      if (dwarf_version >= 4)
+      if (GCC_OPTION (dwarf_version) >= 4)
 	{
 	  /* Currently all add_AT_flag calls pass in 1 as last argument,
 	     so DW_FORM_flag_present can be used.  If that ever changes,
@@ -8204,7 +8204,7 @@ value_format (dw_attr_ref a)
               ? DW_FORM_addr : DW_FORM_GNU_addr_index);
     case dw_val_class_lineptr:
     case dw_val_class_macptr:
-      return dwarf_version >= 4 ? DW_FORM_sec_offset : DW_FORM_data;
+      return GCC_OPTION (dwarf_version) >= 4 ? DW_FORM_sec_offset : DW_FORM_data;
     case dw_val_class_str:
       return AT_string_form (a);
     case dw_val_class_file:
@@ -8373,7 +8373,7 @@ output_loc_list (dw_loc_list_ref list_head)
 	 in a single range are unlikely very useful.  */
       if (size > 0xffff)
 	continue;
-      if (dwarf_split_debug_info)
+      if (GCC_OPTION (dwarf_split_debug_info))
         {
           dw2_asm_output_data (1, DW_LLE_GNU_start_length_entry,
                                "Location list start/length entry (%s)",
@@ -8414,7 +8414,7 @@ output_loc_list (dw_loc_list_ref list_head)
       output_loc_sequence (curr->expr, -1);
     }
 
-  if (dwarf_split_debug_info)
+  if (GCC_OPTION (dwarf_split_debug_info))
     dw2_asm_output_data (1, DW_LLE_GNU_end_of_list_entry,
                          "Location list terminator (%s)",
                          list_head->ll_symbol);
@@ -8459,7 +8459,7 @@ output_loc_list_offset (dw_attr_ref a)
   char *sym = AT_loc_list (a)->ll_symbol;
 
   gcc_assert (sym);
-  if (dwarf_split_debug_info)
+  if (GCC_OPTION (dwarf_split_debug_info))
     dw2_asm_output_delta (DWARF_OFFSET_SIZE, sym, loc_section_label,
                           "%s", dwarf_attr_name (a->dw_attr));
   else
@@ -8474,7 +8474,7 @@ output_attr_index_or_value (dw_attr_ref a)
 {
   const char *name = dwarf_attr_name (a->dw_attr);
 
-  if (dwarf_split_debug_info && AT_index (a) != NOT_INDEXED)
+  if (GCC_OPTION (dwarf_split_debug_info) && AT_index (a) != NOT_INDEXED)
     {
       dw2_asm_output_data_uleb128 (AT_index (a), "%s", name);
       return;
@@ -8550,7 +8550,7 @@ output_die (dw_die_ref die)
 	  size = size_of_locs (AT_loc (a));
 
 	  /* Output the block length for this list of location operations.  */
-	  if (dwarf_version >= 4)
+	  if (GCC_OPTION (dwarf_version) >= 4)
 	    dw2_asm_output_data_uleb128 (size, "%s", name);
 	  else
 	    dw2_asm_output_data (constant_size (size), size, "%s", name);
@@ -8568,7 +8568,7 @@ output_die (dw_die_ref die)
 	case dw_val_class_unsigned_const:
 	  {
 	    int csize = constant_size (AT_unsigned (a));
-	    if (dwarf_version == 3
+	    if (GCC_OPTION (dwarf_version) == 3
 		&& a->dw_attr == DW_AT_data_member_location
 		&& csize >= 4)
 	      dw2_asm_output_data_uleb128 (AT_unsigned (a), "%s", name);
@@ -8628,7 +8628,7 @@ output_die (dw_die_ref die)
 	  }
 
 	case dw_val_class_flag:
-	  if (dwarf_version >= 4)
+	  if (GCC_OPTION (dwarf_version) >= 4)
 	    {
 	      /* Currently all add_AT_flag calls pass in 1 as last argument,
 		 so DW_FORM_flag_present can be used.  If that ever changes,
@@ -8637,7 +8637,7 @@ output_die (dw_die_ref die)
 		 DW_FORM_flag_present if it is set to 1 in all DIEs using
 		 the same abbrev entry.  */
 	      gcc_assert (AT_flag (a) == 1);
-	      if (flag_debug_asm)
+	      if (GCC_OPTION (flag_debug_asm))
 		fprintf (asm_out_file, "\t\t\t%s %s\n",
 			 ASM_COMMENT_START, name);
 	      break;
@@ -8669,7 +8669,7 @@ output_die (dw_die_ref die)
 		  /* In DWARF2, DW_FORM_ref_addr is sized by target address
 		     length, whereas in DWARF3 it's always sized as an
 		     offset.  */
-		  if (dwarf_version == 2)
+		  if (GCC_OPTION (dwarf_version) == 2)
 		    size = DWARF2_ADDR_SIZE;
 		  else
 		    size = DWARF_OFFSET_SIZE;
@@ -8772,7 +8772,7 @@ output_die (dw_die_ref die)
 static void
 output_compilation_unit_header (void)
 {
-  int ver = dwarf_version;
+  int ver = GCC_OPTION (dwarf_version);
 
   if (DWARF_INITIAL_LENGTH_SIZE - DWARF_OFFSET_SIZE == 4)
     dw2_asm_output_data (4, 0xffffffff,
@@ -8854,10 +8854,10 @@ output_comp_unit (dw_die_ref die, int output_if_empty)
 static inline bool
 want_pubnames (void)
 {
-  if (debug_info_level <= DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
     return false;
-  if (debug_generate_pub_sections != -1)
-    return debug_generate_pub_sections;
+  if (GCC_OPTION (debug_generate_pub_sections) != -1)
+    return GCC_OPTION (debug_generate_pub_sections);
   return targetm.want_debug_pub_sections;
 }
 
@@ -8901,7 +8901,7 @@ add_skeleton_AT_string (dw_die_ref die, enum dwarf_attribute attr_kind,
 static void
 add_top_level_skeleton_die_attrs (dw_die_ref die)
 {
-  const char *dwo_file_name = concat (aux_base_name, ".dwo", NULL);
+  const char *dwo_file_name = concat (GCC_OPTION (aux_base_name), ".dwo", NULL);
   const char *comp_dir = comp_dir_string ();
 
   add_skeleton_AT_string (die, DW_AT_GNU_dwo_name, dwo_file_name);
@@ -8955,7 +8955,7 @@ output_skeleton_debug_sections (dw_die_ref comp_unit)
                        - DWARF_INITIAL_LENGTH_SIZE
                        + size_of_die (comp_unit),
                       "Length of Compilation Unit Info");
-  dw2_asm_output_data (2, dwarf_version, "DWARF version number");
+  dw2_asm_output_data (2, GCC_OPTION (dwarf_version), "DWARF version number");
   dw2_asm_output_offset (DWARF_OFFSET_SIZE, debug_skeleton_abbrev_section_label,
                          debug_abbrev_section,
                          "Offset Into Abbrev. Section");
@@ -9002,7 +9002,7 @@ output_comdat_type_unit (comdat_type_node *node)
   calc_die_sizes (node->root_die);
 
 #if defined (OBJECT_FORMAT_ELF)
-  if (!dwarf_split_debug_info)
+  if (!GCC_OPTION (dwarf_split_debug_info))
     secname = ".debug_types";
   else
     secname = ".debug_types.dwo";
@@ -9034,7 +9034,7 @@ output_comdat_type_unit (comdat_type_node *node)
   unmark_dies (node->root_die);
 
 #if defined (OBJECT_FORMAT_ELF)
-  if (dwarf_split_debug_info)
+  if (GCC_OPTION (dwarf_split_debug_info))
     {
       /* Produce the skeleton type-unit header.  */
       const char *secname = ".debug_types";
@@ -9052,7 +9052,7 @@ output_comdat_type_unit (comdat_type_node *node)
                            + size_of_die (get_skeleton_type_unit ())
                            + DWARF_TYPE_SIGNATURE_SIZE + DWARF_OFFSET_SIZE,
                            "Length of Type Unit Info");
-      dw2_asm_output_data (2, dwarf_version, "DWARF version number");
+      dw2_asm_output_data (2, GCC_OPTION (dwarf_version), "DWARF version number");
       dw2_asm_output_offset (DWARF_OFFSET_SIZE,
                              debug_skeleton_abbrev_section_label,
                              debug_abbrev_section,
@@ -9190,7 +9190,7 @@ output_pubname (dw_offset die_offset, pubname_entry *entry)
 
   dw2_asm_output_data (DWARF_OFFSET_SIZE, die_offset, "DIE offset");
 
-  if (debug_generate_pub_sections == 2)
+  if (GCC_OPTION (debug_generate_pub_sections) == 2)
     {
       /* This logic follows gdb's method for determining the value of the flag
          byte.  */
@@ -9268,7 +9268,7 @@ output_pubnames (vec<pubname_entry, va_gc> *names)
   /* Version number for pubnames/pubtypes is independent of dwarf version.  */
   dw2_asm_output_data (2, 2, "DWARF Version");
 
-  if (dwarf_split_debug_info)
+  if (GCC_OPTION (dwarf_split_debug_info))
     dw2_asm_output_offset (DWARF_OFFSET_SIZE, debug_skeleton_info_section_label,
                            debug_skeleton_info_section,
                            "Offset of Compilation Unit Info");
@@ -9344,7 +9344,7 @@ output_aranges (unsigned long aranges_length)
 		       "Length of Address Ranges Info");
   /* Version number for aranges is still 2, even in DWARF3.  */
   dw2_asm_output_data (2, 2, "DWARF Version");
-  if (dwarf_split_debug_info)
+  if (GCC_OPTION (dwarf_split_debug_info))
     dw2_asm_output_offset (DWARF_OFFSET_SIZE, debug_skeleton_info_section_label,
                            debug_skeleton_info_section,
                            "Offset of Compilation Unit Info");
@@ -10018,7 +10018,7 @@ static void
 output_line_info (bool prologue_only)
 {
   char l1[20], l2[20], p1[20], p2[20];
-  int ver = dwarf_version;
+  int ver = GCC_OPTION (dwarf_version);
   bool saw_one = false;
   int opc;
 
@@ -10145,7 +10145,7 @@ base_type_die (tree type)
   switch (TREE_CODE (type))
     {
     case INTEGER_TYPE:
-      if ((dwarf_version >= 4 || !dwarf_strict)
+      if ((GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict))
 	  && TYPE_NAME (type)
 	  && TREE_CODE (TYPE_NAME (type)) == TYPE_DECL
 	  && DECL_IS_BUILTIN (TYPE_NAME (type))
@@ -10175,7 +10175,7 @@ base_type_die (tree type)
     case REAL_TYPE:
       if (DECIMAL_FLOAT_MODE_P (TYPE_MODE (type)))
 	{
-	  if (dwarf_version >= 3 || !dwarf_strict)
+	  if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
 	    encoding = DW_ATE_decimal_float;
 	  else
 	    encoding = DW_ATE_lo_user;
@@ -10185,7 +10185,7 @@ base_type_die (tree type)
       break;
 
     case FIXED_POINT_TYPE:
-      if (!(dwarf_version >= 3 || !dwarf_strict))
+      if (!(GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict)))
 	encoding = DW_ATE_lo_user;
       else if (TYPE_UNSIGNED (type))
 	encoding = DW_ATE_unsigned_fixed;
@@ -10447,7 +10447,7 @@ modified_type_die (tree type, int is_const_type, int is_volatile_type,
     }
   else if (code == REFERENCE_TYPE)
     {
-      if (TYPE_REF_IS_RVALUE (type) && dwarf_version >= 4)
+      if (TYPE_REF_IS_RVALUE (type) && GCC_OPTION (dwarf_version) >= 4)
 	mod_type_die = new_die (DW_TAG_rvalue_reference_type, mod_scope,
 				type);
       else
@@ -10802,7 +10802,7 @@ reg_loc_descriptor (rtx rtl, enum var_init_status initialized)
     {
       dw_loc_descr_ref result = NULL;
 
-      if (dwarf_version >= 4 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict))
 	{
 	  result = mem_loc_descriptor (rtl, GET_MODE (rtl), VOIDmode,
 				       initialized);
@@ -11108,7 +11108,7 @@ address_of_int_loc_descriptor (int size, HOST_WIDE_INT i)
   int litsize;
   dw_loc_descr_ref loc_result = NULL;
 
-  if (!(dwarf_version >= 4 || !dwarf_strict))
+  if (!(GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict)))
     return NULL;
 
   litsize = size_of_int_loc_descriptor (i);
@@ -11197,7 +11197,7 @@ based_loc_descr (rtx reg, HOST_WIDE_INT offset,
 #endif
   regno = DWARF_FRAME_REGNUM (regno);
 
-  if (!optimize && fde
+  if (!GCC_OPTION (optimize) && fde
       && (fde->drap_reg == regno || fde->vdrap_reg == regno))
     {
       /* Use cfa+offset to represent the location of arguments passed
@@ -11468,7 +11468,7 @@ scompare_loc_descriptor (enum dwarf_location_atom op, rtx rtl,
   if (op_mode == VOIDmode)
     return NULL;
 
-  if (dwarf_strict
+  if (GCC_OPTION (dwarf_strict)
       && (GET_MODE_CLASS (op_mode) != MODE_INT
 	  || GET_MODE_SIZE (op_mode) > DWARF2_ADDR_SIZE))
     return NULL;
@@ -11579,7 +11579,7 @@ ucompare_loc_descriptor (enum dwarf_location_atom op, rtx rtl,
   if (GET_MODE_CLASS (op_mode) != MODE_INT)
     return NULL;
 
-  if (dwarf_strict && GET_MODE_SIZE (op_mode) > DWARF2_ADDR_SIZE)
+  if (GCC_OPTION (dwarf_strict) && GET_MODE_SIZE (op_mode) > DWARF2_ADDR_SIZE)
     return NULL;
 
   op0 = mem_loc_descriptor (XEXP (rtl, 0), op_mode, mem_mode,
@@ -11642,7 +11642,7 @@ minmax_loc_descriptor (rtx rtl, enum machine_mode mode,
   dw_loc_descr_ref op0, op1, ret;
   dw_loc_descr_ref bra_node, drop_node;
 
-  if (dwarf_strict
+  if (GCC_OPTION (dwarf_strict)
       && (GET_MODE_CLASS (mode) != MODE_INT
 	  || GET_MODE_SIZE (mode) > DWARF2_ADDR_SIZE))
     return NULL;
@@ -12125,7 +12125,7 @@ parameter_ref_descriptor (rtx rtl)
   dw_loc_descr_ref ret;
   dw_die_ref ref;
 
-  if (dwarf_strict)
+  if (GCC_OPTION (dwarf_strict))
     return NULL;
   gcc_assert (TREE_CODE (DEBUG_PARAMETER_REF_DECL (rtl)) == PARM_DECL);
   ref = lookup_decl_die (DEBUG_PARAMETER_REF_DECL (rtl));
@@ -12217,7 +12217,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
 					       mem_mode, initialized);
 	  break;
 	}
-      if (dwarf_strict)
+      if (GCC_OPTION (dwarf_strict))
 	break;
       if (GET_MODE_SIZE (mode) > GET_MODE_SIZE (GET_MODE (inner)))
 	break;
@@ -12267,7 +12267,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
 	  dw_die_ref type_die;
 	  unsigned int dbx_regnum;
 
-	  if (dwarf_strict)
+	  if (GCC_OPTION (dwarf_strict))
 	    break;
 	  if (REGNO (rtl) > FIRST_PSEUDO_REGISTER)
 	    break;
@@ -12351,7 +12351,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
 	  add_loc_descr (&mem_loc_result, int_loc_descriptor (shift));
 	  add_loc_descr (&mem_loc_result, new_loc_descr (op, 0, 0));
 	}
-      else if (!dwarf_strict)
+      else if (!GCC_OPTION (dwarf_strict))
 	{
 	  dw_die_ref type_die1, type_die2;
 	  dw_loc_descr_ref cvt;
@@ -12401,7 +12401,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
 	      dw_die_ref type_die;
 	      dw_loc_descr_ref deref;
 
-	      if (dwarf_strict)
+	      if (GCC_OPTION (dwarf_strict))
 		return NULL;
 	      type_die
 		= base_type_for_mode (mode, GET_MODE_CLASS (mode) == MODE_INT);
@@ -12473,7 +12473,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
       return 0;
 
     case ENTRY_VALUE:
-      if (dwarf_strict)
+      if (GCC_OPTION (dwarf_strict))
 	return NULL;
       if (REG_P (ENTRY_VALUE_EXP (rtl)))
 	{
@@ -12573,7 +12573,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
       goto do_binop;
 
     case DIV:
-      if (!dwarf_strict
+      if (!GCC_OPTION (dwarf_strict)
 	  && GET_MODE_CLASS (mode) == MODE_INT
 	  && GET_MODE_SIZE (mode) > DWARF2_ADDR_SIZE)
 	{
@@ -12651,7 +12651,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
       break;
 
     case MOD:
-      if (GET_MODE_SIZE (mode) > DWARF2_ADDR_SIZE && !dwarf_strict)
+      if (GET_MODE_SIZE (mode) > DWARF2_ADDR_SIZE && !GCC_OPTION (dwarf_strict))
 	{
 	  mem_loc_result = typed_binop (DW_OP_mod, rtl,
 					base_type_for_mode (mode, 0),
